package com.fjhx.mes.service.work;

import com.fjhx.mes.entity.work.po.WorkOrder;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.work.vo.WorkOrderVo;
import com.fjhx.mes.entity.work.dto.WorkOrderSelectDto;
import com.fjhx.mes.entity.work.dto.WorkOrderDto;

import java.util.List;


/**
 * <p>
 * 工单 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
public interface WorkOrderService extends BaseService<WorkOrder> {

    /**
     * 工单分页
     */
    Page<WorkOrderVo> getPage(WorkOrderSelectDto dto);

    /**
     * 工单明细
     */
    WorkOrderVo detail(Long id);

    /**
     * 工单新增
     */
    void add(WorkOrderDto workOrderDto);

    /**
     * 工单批量新增
     */
    void addBatch(List<WorkOrder> workOrder);

    /**
     * 工单编辑
     */
    void edit(WorkOrderDto workOrderDto);

    /**
     * 工单删除
     */
    void delete(Long id);


    Page<WorkOrderVo> getPageByJxst(WorkOrderSelectDto dto);
}
